## ispellcat 0.6

=== debian/changelog ===
ispellcat (0.6-13) unstable; urgency=low

  * Make a 3.0 (quilt) package.
  * catalan-m.aff_add-explicit-wordchars.patch: New patch
    to add explicit WORDCHARS line  with "·-'"
  * debian/control: Bump Standards-Version. No changes required.
  * debian/rules: Make sure catalan-i.stat is removed in clean target.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 30 May 2012 15:19:54 +0200

ispellcat (0.6-12) unstable; urgency=low

  * Use auto-compat feature to avoid modification of placeholders
    shipped under /var by maintainer scripts. Needs to Build-Depend
    on dictionaries-common-dev (>= 1.11.2).
  * debian/control:
    - Do not provide hunspell dictionary.
    - Improve myspell-ca "Suggests" line.
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 14:57:18 +0200

ispellcat (0.6-11) unstable; urgency=low

  * Build Depends on at least dictionaries-common-dev (>= 1.10.5)
    to stop installing update-openoffice-dicts snippets.
  * Bump Standards-version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Jun 2011 14:18:50 +0200

ispellcat (0.6-10) unstable; urgency=low

  * Make sure we no longer create Mozilla* symlinks in new destdir
    by using installdeb-myspell (> 1.4).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 25 Nov 2009 13:28:04 +0100

ispellcat (0.6-9) unstable; urgency=low

  * Rebuild against dictionaries-common.dev 1.3.1 to have
    mozilla symlinks fixed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Aug 2009 17:07:50 +0200

ispellcat (0.6-8) unstable; urgency=low

  * Bump Standards Version to 3.8.3. No changes required.
  * Install myspell dicts in new location. Use new
    installdeb-myspell (at least 1.3) for this and for
    compatibility symlinks (Closes: #541942).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Aug 2009 15:27:55 +0200

ispellcat (0.6-7) unstable; urgency=low

  * debian/*.info-*spell, debian/control:
    - Do not explicitly add '-d <lang>' to ispell-args. New
      dictionaries-common will take care of that.
  * debian/control:
    - Build Dep on at least dictionaries-common-dev 1.2 to use
      new debhelper snippets.
  * Raise debhelper compat level to 7. Use dh_prep.
  * Raise Standards-Version to 3.8.1. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Mar 2009 12:22:25 +0100

ispellcat (0.6-6) unstable; urgency=low

  * Use 7bit Homepage link (Closes: #488676).
  * Convert wcatalan wordlist to utf-8 (Closes: #384417).
  * Add ${misc:Depends} to packages Depends, useful in case
    any of the dh_* scripts implies aditional dependencies.
  * Use dictionaries-common extra registration support for
    myspell/hunspell dicts.
  * Make myspell-ca provide hunspell-ca and friends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 17 Feb 2009 13:55:04 +0100

ispellcat (0.6-5) unstable; urgency=low

  * Make sure no md5sums are added for variable /var/lib/{a,i}spell stuff.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 23 Sep 2008 11:02:30 +0200

ispellcat (0.6-4) unstable; urgency=low

  * debian/strip_mwl:
    - Use catalan-i.dic instead of catalan-m.dic.
  * debian/filter_aspell_aff:
    - New perl script to fix some buggy aspell flag entries.
  * debian/rules:
    - Use debian/filter_aspell_aff to filter catalan-m.aff.
    - Use tr to handle replacement of extraneous U+0095 characters
      to U+00B7.
    - Do not filter out numeric flags for aspell.
  * debian/control:
    - Added Vcs entries to the new SVN locations.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 01 Jul 2008 18:00:43 +0200

ispellcat (0.6-3) unstable; urgency=low

  * Try to get max compression from prezip and gzip (LP #73302).
  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Make wcatalan priority optional, matching most other wordlist
    packages.
  * Add a Homepage field.

 -- Jordi Mallach <jordi@debian.org>  Fri, 13 Jun 2008 17:22:20 +0200

ispellcat (0.6-2) unstable; urgency=low

  * catalan-m.dic: replace a few extraneous U+0095 characters by U+00B7,
    which is the correct middle dot character.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Jun 2008 19:29:17 +0200

ispellcat (0.6-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release (20061016 for ispell, 20080609 for myspell).
    - includes words suggested by Robert (closes: #467292).
  * Forward port Agustín's patch from 0.5, and submitted it upstream.
  * Use sort -u instead of uniq to remove repeated words from wcatalan,
    slightly reducing the wordlist size. Thanks Marc Coll and Agustín
    (closes: #454772).
  * icatalan.docs: removed, no longer needed.

  [ Agustín Martín Domingo ]
  * debian/control:
    - Bumped standards version to 3.7.3. No changes needed.
    - Updated to use the new iceape-browser, iceweasel and icedove names.
  * debian/copyright improved.
  * Removed trailing whitespace in control, rules, copyright and changelog.
  * Move reconfigure compat initialization from config to
    postinst. debian/aspell-ca.overrides is no longer needed.

 -- Jordi Mallach <jordi@debian.org>  Tue, 10 Jun 2008 00:00:03 +0200

ispellcat (0.5-3) unstable; urgency=low

  * debian/control:
    - fix typo in aspell-ca's description (thanks Simon Waters,
      closes: #362739).
    - make icatalan Architecture: all.
    - bump Standards-Version to 3.7.0.0 (no changes required).
  * debian/rules: switch to autogenerated ispell hash. Don't install it
    at build time; make the necessary changes for dictionaries-common to
    generate it on postinst.
  * debian/icatalan.links: add extra ispell links.

 -- Jordi Mallach <jordi@debian.org>  Thu, 27 Apr 2006 03:31:35 +0200

ispellcat (0.5-2) unstable; urgency=low

  * debian/ca.dat: don't allow . at the end of words, it causes
    unexpected results.
  * debian/control: add Agustín to Uploaders.

