=== debian/control ===
Source: ispellcat
Section: text
Priority: optional
Build-Depends: aspell, ispell, debhelper (>= 7), dictionaries-common-dev (>=1.11.2)
Maintainer: Jordi Mallach <jordi@debian.org>
Uploaders: Agustin Martin Domingo <agmartin@debian.org>
Homepage: http://www.softcatala.org/wiki/Corrector_ortogr%C3%A0fic
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ispellcat/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/ispellcat/trunk
Standards-Version: 3.9.3

Package: icatalan
Architecture: all
Priority: optional
Depends: ${misc:Depends}, dictionaries-common (>= 1.1), ispell, debconf | debconf-2.0
Provides: ispell-dictionary
Suggests: wcatalan
Description: Catalan dictionary for ispell
 This is the Catalan dictionary for ispell as put together by
 Joan Moratinos using data from different sources.

Package: wcatalan
Priority: optional
Architecture: all
Depends: ${misc:Depends}, dictionaries-common (>= 1.1), debconf | debconf-2.0
Provides: wordlist
Description: Catalan dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/catala containing
 an alphabetic list of Catalan words.
 .
 It was put together by Joan Moratinos using data from different sources.

Package: aspell-ca
Priority: optional
Architecture: all
Depends: ${misc:Depends}, aspell (>= 0.60.3-3), dictionaries-common (>= 1.1)
Provides: aspell-dictionary
Description: Catalan dictionary for aspell
 This package contains all the required files to add support for the
 Catalan language to the GNU Aspell spell checker.
 .
 It was put together by Joan Moratinos using data from different sources.

Package: myspell-ca
Priority: optional
Architecture: all
Depends: ${misc:Depends}, dictionaries-common (>= 1.1)
Provides: openoffice.org-spellcheck-ca, myspell-dictionary, myspell-dictionary-ca
Suggests: hunspell,
 libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
 iceape-browser | iceweasel | icedove
Conflicts: openoffice.org (<= 1.0.3-2), hunspell-ca
Description: Catalan dictionary for myspell
 This is the Catalan dictionary for use with the myspell spellchecker
 which is currently used within OpenOffice.org and the Mozilla spellchecker.
 .
 It was put together by Joan Moratinos using data from different sources.
